---------------------------------------------------------------------------------
--
-- Metadata Changes
--
---------------------------------------------------------------------------------
delete from FCM_GRID_TMPLT_FIELD_CFG where grid_field_id in (select field_id
from fcm_Field_definition where field_name in ('wax_cf_alert_a_id'
,'wax_cf_alert_b_id'
,'wax_cf_alert_c_id'
,'wax_cf_alert_d_id'
,'wax_cf_alert_h_id'
,'wax_cf_alert_m_id'
,'wax_cf_alert_o_id'
,'wax_cf_alert_p_id'
,'wax_cf_alert_r_id'
,'wax_cf_alert_t_id'
,'wax_cf_alert_version_a_nbr'
,'wax_cf_alert_version_b_nbr'
,'wax_cf_alert_version_c_nbr'
,'wax_cf_alert_version_d_nbr'
,'wax_cf_alert_version_h_nbr'
,'wax_cf_alert_version_m_nbr'
,'wax_cf_alert_version_o_nbr'
,'wax_cf_alert_version_p_nbr'
,'wax_cf_alert_version_r_nbr'
,'wax_cf_alert_version_t_nbr'
,'wax_cf_alert_version_w_nbr'
,'wax_cf_alert_version_x_nbr'
,'wax_cf_alert_w_id'
,'wax_cf_alert_x_id'
,'wax_user_fraud_a_ind'
,'wax_user_fraud_a_timestamp'
,'wax_user_fraud_b_ind'
,'wax_user_fraud_b_timestamp'
,'wax_user_fraud_c_ind'
,'wax_user_fraud_c_timestamp'
,'wax_user_fraud_d_ind'
,'wax_user_fraud_d_timestamp'
,'wax_user_fraud_h_ind'
,'wax_user_fraud_h_timestamp'
,'wax_user_fraud_m_ind'
,'wax_user_fraud_m_timestamp'
,'wax_user_fraud_o_ind'
,'wax_user_fraud_o_timestamp'
,'wax_user_fraud_p_ind'
,'wax_user_fraud_p_timestamp'
,'wax_user_fraud_r_ind'
,'wax_user_fraud_r_timestamp'
,'wax_user_fraud_t_ind'
,'wax_user_fraud_t_timestamp'
,'wax_user_fraud_w_ind'
,'wax_user_fraud_w_timestamp'
,'wax_user_fraud_x_ind'
,'wax_user_fraud_x_timestamp'
));

update fcm_field_Definition set field_Visible_ind='0' where field_name in
('wax_cf_alert_a_id'
,'wax_cf_alert_b_id'
,'wax_cf_alert_c_id'
,'wax_cf_alert_d_id'
,'wax_cf_alert_h_id'
,'wax_cf_alert_m_id'
,'wax_cf_alert_o_id'
,'wax_cf_alert_p_id'
,'wax_cf_alert_r_id'
,'wax_cf_alert_t_id'
,'wax_cf_alert_version_a_nbr'
,'wax_cf_alert_version_b_nbr'
,'wax_cf_alert_version_c_nbr'
,'wax_cf_alert_version_d_nbr'
,'wax_cf_alert_version_h_nbr'
,'wax_cf_alert_version_m_nbr'
,'wax_cf_alert_version_o_nbr'
,'wax_cf_alert_version_p_nbr'
,'wax_cf_alert_version_r_nbr'
,'wax_cf_alert_version_t_nbr'
,'wax_cf_alert_version_w_nbr'
,'wax_cf_alert_version_x_nbr'
,'wax_cf_alert_w_id'
,'wax_cf_alert_x_id'
,'wax_user_fraud_a_ind'
,'wax_user_fraud_a_timestamp'
,'wax_user_fraud_b_ind'
,'wax_user_fraud_b_timestamp'
,'wax_user_fraud_c_ind'
,'wax_user_fraud_c_timestamp'
,'wax_user_fraud_d_ind'
,'wax_user_fraud_d_timestamp'
,'wax_user_fraud_h_ind'
,'wax_user_fraud_h_timestamp'
,'wax_user_fraud_m_ind'
,'wax_user_fraud_m_timestamp'
,'wax_user_fraud_o_ind'
,'wax_user_fraud_o_timestamp'
,'wax_user_fraud_p_ind'
,'wax_user_fraud_p_timestamp'
,'wax_user_fraud_r_ind'
,'wax_user_fraud_r_timestamp'
,'wax_user_fraud_t_ind'
,'wax_user_fraud_t_timestamp'
,'wax_user_fraud_w_ind'
,'wax_user_fraud_w_timestamp'
,'wax_user_fraud_x_ind'
,'wax_user_fraud_x_timestamp');

commit;

---------------------------------------------------------------------------------
--
-- Insert new FCM_PROPERTY 
--
---------------------------------------------------------------------------------
merge into FCM_PROPERTY
USING TABLE(values('ANALYTIC_REPORTS_CONFIG_PATH'))
                     ac(PROPERTY_NAME)
                  ON (FCM_PROPERTY.PROPERTY_NAME = ac.PROPERTY_NAME)
when not matched then
INSERT
(PROPERTY_NAME, PROPERTY_VALUE, PROPERTY_DESC, PROPERTY_LABEL, PROPERTY_TYPE, PROPERTY_SUB_TYPE,  PROPERTY_SUB_TYPE_LABEL,CREATE_USER
,PROPERTY_EDITABLE_IND,PROPERTY_VISIBLE_IND)
VALUES
('ANALYTIC_REPORTS_CONFIG_PATH', '!SASFMCP_IMPLEMENT_HOME/etl/data'
, 'Full path to the analytic report XML input files'
, 'Full path to the analytic report XML input files'
, 'etl', 'DEFAULT', 'DEFAULT','system','1','1')
ELSE IGNORE;
commit;

merge into FCM_PROPERTY
USING TABLE(values('ANALYTIC_EXTRACT_RECLAIM_PATH'))
                     ac(PROPERTY_NAME)
                  ON (FCM_PROPERTY.PROPERTY_NAME = ac.PROPERTY_NAME)
when not matched then
INSERT
(PROPERTY_NAME, PROPERTY_VALUE, PROPERTY_DESC, PROPERTY_LABEL, PROPERTY_TYPE, CREATE_USER,PROPERTY_EDITABLE_IND)
VALUES
('ANALYTIC_EXTRACT_RECLAIM_PATH', '', 'Full path to the analytic extract backup directory', 'Full path to the analytic extract backup directory', 'etl', CURRENT USER,'1')
ELSE IGNORE;
commit;

---------------------------------------------------------------------------------
--
-- Insert version release 4.3.0.3 (4.3 M0 HF3)
--
---------------------------------------------------------------------------------
merge into FCM_VERSION p
USING TABLE(values('SOR Base DDL', '4.3.0.3'))
                     ac(VERSION_NAME , VERSION_NUM)
                  ON (p.VERSION_NAME = ac.VERSION_NAME
                      AND p.VERSION_NUM=ac.VERSION_NUM)
when not matched then
insert (
    VERSION_NAME , VERSION_NUM , VERSION_DATE , VERSION_DESC, VERSION_COMPONENT)
VALUES (
        'SOR Base DDL', '4.3.0.3', current_date, '4.3 M0 HF3 DDL', 'SOR DDL')
;

commit;


