declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_BRST' and table_name ='FCM_BRST' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_BRST' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_BRST drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_BRST ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_BRST  ON FCM_BRST ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_BRST_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_BRST  ON FCM_BRST ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_BRST_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_BRST     ADD CONSTRAINT PKX_BRST PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_CCBF' and table_name ='FCM_CCBF' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_CCBF' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_CCBF drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_CCBF ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CCBF  ON FCM_CCBF ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_CCBF_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CCBF  ON FCM_CCBF ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_CCBF_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_CCBF     ADD CONSTRAINT PKX_CCBF PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_CCCA' and table_name ='FCM_CCCA' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_CCCA' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_CCCA drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_CCCA ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CCCA  ON FCM_CCCA ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_CCCA_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CCCA  ON FCM_CCCA ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_CCCA_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_CCCA     ADD CONSTRAINT PKX_CCCA PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_CCCP' and table_name ='FCM_CCCP' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_CCCP' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_CCCP drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_CCCP ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CCCP  ON FCM_CCCP ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_CCCP_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CCCP  ON FCM_CCCP ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_CCCP_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_CCCP     ADD CONSTRAINT PKX_CCCP PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_CCDP' and table_name ='FCM_CCDP' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_CCDP' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_CCDP drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_CCDP ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CCDP  ON FCM_CCDP ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_CCDP_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CCDP  ON FCM_CCDP ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_CCDP_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_CCDP     ADD CONSTRAINT PKX_CCDP PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_CCMF' and table_name ='FCM_CCMF' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_CCMF' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_CCMF drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_CCMF ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CCMF  ON FCM_CCMF ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_CCMF_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CCMF  ON FCM_CCMF ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_CCMF_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_CCMF     ADD CONSTRAINT PKX_CCMF PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_CCNM' and table_name ='FCM_CCNM' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_CCNM' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_CCNM drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_CCNM ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CCNM  ON FCM_CCNM ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_CCNM_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CCNM  ON FCM_CCNM ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_CCNM_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_CCNM     ADD CONSTRAINT PKX_CCNM PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_CCSH' and table_name ='FCM_CCSH' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_CCSH' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_CCSH drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_CCSH ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CCSH  ON FCM_CCSH ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_CCSH_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CCSH  ON FCM_CCSH ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_CCSH_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_CCSH     ADD CONSTRAINT PKX_CCSH PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_CSAB' and table_name ='FCM_CSAB' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_CSAB' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_CSAB drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_CSAB ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSAB  ON FCM_CSAB ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_CSAB_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSAB  ON FCM_CSAB ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_CSAB_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_CSAB     ADD CONSTRAINT PKX_CSAB PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_CSAE' and table_name ='FCM_CSAE' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_CSAE' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_CSAE drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_CSAE ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSAE  ON FCM_CSAE ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_CSAE_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSAE  ON FCM_CSAE ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_CSAE_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_CSAE     ADD CONSTRAINT PKX_CSAE PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_CSBF' and table_name ='FCM_CSBF' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_CSBF' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_CSBF drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_CSBF ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSBF  ON FCM_CSBF ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_CSBF_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSBF  ON FCM_CSBF ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_CSBF_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_CSBF     ADD CONSTRAINT PKX_CSBF PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_CSCA' and table_name ='FCM_CSCA' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_CSCA' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_CSCA drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_CSCA ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSCA  ON FCM_CSCA ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_CSCA_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSCA  ON FCM_CSCA ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_CSCA_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_CSCA     ADD CONSTRAINT PKX_CSCA PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_CSCK' and table_name ='FCM_CSCK' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_CSCK' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_CSCK drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_CSCK ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSCK  ON FCM_CSCK ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_CSCK_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSCK  ON FCM_CSCK ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_CSCK_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_CSCK     ADD CONSTRAINT PKX_CSCK PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_CSCP' and table_name ='FCM_CSCP' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_CSCP' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_CSCP drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_CSCP ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSCP  ON FCM_CSCP ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_CSCP_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSCP  ON FCM_CSCP ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_CSCP_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_CSCP     ADD CONSTRAINT PKX_CSCP PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_CSCW' and table_name ='FCM_CSCW' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_CSCW' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_CSCW drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_CSCW ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSCW  ON FCM_CSCW ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_CSCW_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSCW  ON FCM_CSCW ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_CSCW_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_CSCW     ADD CONSTRAINT PKX_CSCW PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_CSDP' and table_name ='FCM_CSDP' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_CSDP' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_CSDP drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_CSDP ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSDP  ON FCM_CSDP ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_CSDP_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSDP  ON FCM_CSDP ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_CSDP_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_CSDP     ADD CONSTRAINT PKX_CSDP PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_CSMF' and table_name ='FCM_CSMF' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_CSMF' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_CSMF drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_CSMF ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSMF  ON FCM_CSMF ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_CSMF_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSMF  ON FCM_CSMF ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_CSMF_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_CSMF     ADD CONSTRAINT PKX_CSMF PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_CSNM' and table_name ='FCM_CSNM' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_CSNM' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_CSNM drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_CSNM ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSNM  ON FCM_CSNM ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_CSNM_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSNM  ON FCM_CSNM ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_CSNM_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_CSNM     ADD CONSTRAINT PKX_CSNM PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_CSSH' and table_name ='FCM_CSSH' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_CSSH' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_CSSH drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_CSSH ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSSH  ON FCM_CSSH ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_CSSH_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_CSSH  ON FCM_CSSH ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_CSSH_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_CSSH     ADD CONSTRAINT PKX_CSSH PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_LCBF' and table_name ='FCM_LCBF' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_LCBF' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_LCBF drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_LCBF ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_LCBF  ON FCM_LCBF ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_LCBF_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_LCBF  ON FCM_LCBF ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_LCBF_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_LCBF     ADD CONSTRAINT PKX_LCBF PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_LCCA' and table_name ='FCM_LCCA' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_LCCA' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_LCCA drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_LCCA ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_LCCA  ON FCM_LCCA ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_LCCA_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_LCCA  ON FCM_LCCA ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_LCCA_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_LCCA     ADD CONSTRAINT PKX_LCCA PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_LCCK' and table_name ='FCM_LCCK' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_LCCK' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_LCCK drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_LCCK ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_LCCK  ON FCM_LCCK ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_LCCK_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_LCCK  ON FCM_LCCK ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_LCCK_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_LCCK     ADD CONSTRAINT PKX_LCCK PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_LCCP' and table_name ='FCM_LCCP' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_LCCP' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_LCCP drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_LCCP ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_LCCP  ON FCM_LCCP ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_LCCP_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_LCCP  ON FCM_LCCP ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_LCCP_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_LCCP     ADD CONSTRAINT PKX_LCCP PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_LCCW' and table_name ='FCM_LCCW' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_LCCW' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_LCCW drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_LCCW ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_LCCW  ON FCM_LCCW ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_LCCW_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_LCCW  ON FCM_LCCW ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_LCCW_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_LCCW     ADD CONSTRAINT PKX_LCCW PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_LCDP' and table_name ='FCM_LCDP' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_LCDP' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_LCDP drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_LCDP ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_LCDP  ON FCM_LCDP ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_LCDP_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_LCDP  ON FCM_LCDP ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_LCDP_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_LCDP     ADD CONSTRAINT PKX_LCDP PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_LCMF' and table_name ='FCM_LCMF' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_LCMF' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_LCMF drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_LCMF ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_LCMF  ON FCM_LCMF ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_LCMF_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_LCMF  ON FCM_LCMF ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_LCMF_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_LCMF     ADD CONSTRAINT PKX_LCMF PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_LCNM' and table_name ='FCM_LCNM' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_LCNM' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_LCNM drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_LCNM ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_LCNM  ON FCM_LCNM ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_LCNM_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_LCNM  ON FCM_LCNM ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_LCNM_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_LCNM     ADD CONSTRAINT PKX_LCNM PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_LCSH' and table_name ='FCM_LCSH' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_LCSH' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_LCSH drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_LCSH ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_LCSH  ON FCM_LCSH ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_LCSH_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_LCSH  ON FCM_LCSH ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_LCSH_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_LCSH     ADD CONSTRAINT PKX_LCSH PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_MAFM' and table_name ='FCM_MAFM' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_MAFM' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_MAFM drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_MAFM ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_MAFM  ON FCM_MAFM ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_MAFM_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_MAFM  ON FCM_MAFM ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_MAFM_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_MAFM     ADD CONSTRAINT PKX_MAFM PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_MAMF' and table_name ='FCM_MAMF' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_MAMF' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_MAMF drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_MAMF ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_MAMF  ON FCM_MAMF ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_MAMF_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_MAMF  ON FCM_MAMF ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_MAMF_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_MAMF     ADD CONSTRAINT PKX_MAMF PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_MANM' and table_name ='FCM_MANM' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_MANM' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_MANM drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_MANM ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_MANM  ON FCM_MANM ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_MANM_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_MANM  ON FCM_MANM ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_MANM_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_MANM     ADD CONSTRAINT PKX_MANM PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_NAME' and table_name ='FCM_NAME' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_NAME' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_NAME drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_NAME ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_NAME  ON FCM_NAME ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_NAME_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_NAME  ON FCM_NAME ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_NAME_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_NAME     ADD CONSTRAINT PKX_NAME PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_NAMF' and table_name ='FCM_NAMF' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_NAMF' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_NAMF drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_NAMF ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_NAMF  ON FCM_NAMF ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_NAMF_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_NAMF  ON FCM_NAMF ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_NAMF_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_NAMF     ADD CONSTRAINT PKX_NAMF PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_NAMO' and table_name ='FCM_NAMO' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_NAMO' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_NAMO drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_NAMO ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_NAMO  ON FCM_NAMO ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_NAMO_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_NAMO  ON FCM_NAMO ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_NAMO_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_NAMO     ADD CONSTRAINT PKX_NAMO PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_NAMP' and table_name ='FCM_NAMP' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_NAMP' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_NAMP drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_NAMP ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_NAMP  ON FCM_NAMP ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_NAMP_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_NAMP  ON FCM_NAMP ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_NAMP_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_NAMP     ADD CONSTRAINT PKX_NAMP PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_NANM' and table_name ='FCM_NANM' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_NANM' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_NANM drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_NANM ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_NANM  ON FCM_NANM ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_NANM_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_NANM  ON FCM_NANM ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_NANM_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_NANM     ADD CONSTRAINT PKX_NANM PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_SLBF' and table_name ='FCM_SLBF' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_SLBF' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_SLBF drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_SLBF ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_SLBF  ON FCM_SLBF ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_SLBF_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_SLBF  ON FCM_SLBF ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_SLBF_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_SLBF     ADD CONSTRAINT PKX_SLBF PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_SLCA' and table_name ='FCM_SLCA' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_SLCA' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_SLCA drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_SLCA ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_SLCA  ON FCM_SLCA ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_SLCA_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_SLCA  ON FCM_SLCA ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_SLCA_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_SLCA     ADD CONSTRAINT PKX_SLCA PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_SLCK' and table_name ='FCM_SLCK' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_SLCK' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_SLCK drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_SLCK ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_SLCK  ON FCM_SLCK ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_SLCK_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_SLCK  ON FCM_SLCK ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_SLCK_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_SLCK     ADD CONSTRAINT PKX_SLCK PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_SLCP' and table_name ='FCM_SLCP' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_SLCP' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_SLCP drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_SLCP ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_SLCP  ON FCM_SLCP ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_SLCP_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_SLCP  ON FCM_SLCP ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_SLCP_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_SLCP     ADD CONSTRAINT PKX_SLCP PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_SLCW' and table_name ='FCM_SLCW' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_SLCW' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_SLCW drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_SLCW ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_SLCW  ON FCM_SLCW ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_SLCW_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_SLCW  ON FCM_SLCW ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_SLCW_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_SLCW     ADD CONSTRAINT PKX_SLCW PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_SLDP' and table_name ='FCM_SLDP' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_SLDP' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_SLDP drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_SLDP ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_SLDP  ON FCM_SLDP ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_SLDP_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_SLDP  ON FCM_SLDP ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_SLDP_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_SLDP     ADD CONSTRAINT PKX_SLDP PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_SLMF' and table_name ='FCM_SLMF' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_SLMF' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_SLMF drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_SLMF ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_SLMF  ON FCM_SLMF ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_SLMF_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_SLMF  ON FCM_SLMF ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_SLMF_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_SLMF     ADD CONSTRAINT PKX_SLMF PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_SLNM' and table_name ='FCM_SLNM' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_SLNM' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_SLNM drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_SLNM ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_SLNM  ON FCM_SLNM ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_SLNM_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_SLNM  ON FCM_SLNM ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_SLNM_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_SLNM     ADD CONSTRAINT PKX_SLNM PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

declare v_exists number;
 v_part number;
begin
select count(*) into v_exists from all_ind_columns where index_name = 'PKX_SLSH' and table_name ='FCM_SLSH' and column_position>1 and column_name = 'CMX_TRAN_ID' AND INDEX_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
select count(*) into v_part from all_tab_partitions where  table_name ='FCM_SLSH' AND TABLE_OWNER=(SELECT SYS_CONTEXT ('userenv', 'current_schema') FROM DUAL);
if v_exists = 1 then
  EXECUTE IMMEDIATE 'alter table FCM_SLSH drop primary key cascade';
  EXECUTE IMMEDIATE 'drop index PKX_SLSH ';
  if v_part=0 then
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_SLSH  ON FCM_SLSH ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_SLSH_32K   REVERSE';
  else
    EXECUTE IMMEDIATE 'CREATE UNIQUE INDEX PKX_SLSH  ON FCM_SLSH ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME  )   TABLESPACE IX_SLSH_32K LOCAL   REVERSE';
  end if;
  EXECUTE IMMEDIATE 'ALTER TABLE FCM_SLSH     ADD CONSTRAINT PKX_SLSH PRIMARY KEY ( CMX_TRAN_ID,RQO_PROC_UTC_DATETIME )';
end if;
end;
/

