<%@ include file="/common/taglibs.jsp" %>
<%@ page contentType="text/html; charset=UTF-8" %>
<style>

     DIV.scrollableGrid
      {
         BORDER-RIGHT: none;
         BORDER-TOP:  none;
         BORDER-LEFT: none;
         BORDER-BOTTOM: none;
         OVERFLOW: auto;
         TOP:0px;
         LEFT:0px;
         position:relative;
         vertical-align:top;
      }

      DIV.scrollableGrid thead th {z-index:30; position:relative;top: expression(getElementById("ruleDiv").scrollTop); }

      .rowSelected
      {
         background-color:#ddddee;
         color:#3300CC;
      }



</style>

<script language='JavaScript' src='<c:url value="/common/scripts/jquery.js"/>'></script>
<script language='JavaScript' src='<c:url value="/common/scripts/i18n.js"/>'></script>

<script language="JavaScript" src="rules/scripts/dynamicRows.js"></script>
<script language="JavaScript" src="rules/scripts/itemPriorityList.js"></script>
<script language="JavaScript" src="rules/scripts/autoSizing.js"></script>
<SCRIPT language="JavaScript" src="common/scripts/calendar.js"></SCRIPT>
<SCRIPT language="JavaScript" src="rules/scripts/sort.js"></SCRIPT>
<script language="JavaScript" src="rules/scripts/rules.js"></script>
<script language="JavaScript" src="rules/scripts/lookupLists.js"></script>
<script language="JavaScript" src="rules/scripts/lookupListActions.js"></script>
<script language="JavaScript">
//<!--

var action = '<c:url value="/r_rules.do"/>';
var lookupListAction = '<c:url value="/r_lookupLists.do"/>';
var lookupListName = "${listInfo.name}";
var lookupListInds = "${listInfo.inds}";
var lookupListColumns = "${listInfo.columns}";
var engine = '${engine}';

function ignoreReturn(evt)
{
   if(!evt) evt = window.event;
   if(evt.keyCode == 13) return false;
   return true;
}

//-->
</script>


<script>
parent._lookupListIdsFromForeignBusinessUnits = new Array();
<c:forEach var="id" items="${lookupListIdsFromForeignBusinessUnits}">
	parent._lookupListIdsFromForeignBusinessUnits["${id}"] = true;
</c:forEach>
</script>

 <div id="rulesTabScrollableDiv" class="rulesTabScrollableClass">

 <%-- Error handling code --%>
 <div onclick="this.innerHTML='<br>'">
   <c:url var="reloadURL" value="/r_rules.do?method=viewContentFile&fileName=${listInfo.inds}" />
   <tiles:insert page="rulesSystemMessages.jsp" flush="true">
     <tiles:put name="reloadURL" value="${reloadURL}" />
     <tiles:put name="refreshURL" value="${reloadURL}&refresh=true" />
     <tiles:put name="objectTypeName" value="Rule" />
   </tiles:insert>
 </div>

<br>


<div align="center">
<TABLE name="listInfoTable" class="configurationTable" border="0" style="border:2px solid #e0e2e5;margin-left:10px;margin-right:15px;" cellspacing="0" cellpadding="2">

   <tr align="left" valign="top" >
     <th colspan="4" class="configurationTableTitle" >&nbsp;<fmt:message key="rules.contentFile.details.txt" /><br>&nbsp;</th>
   </tr>

   <tr class="configurationTableDataRow" valign="top" style="height:10px;">
     <td colspan="4">  </td>
   </tr>

   <tr class="configurationTableDataRow" valign="top">
     <td width="1%" nowrap>Name:</td>
     <td><c:if test="${empty listInfo.name}"><i>None</i></c:if>
         <c:if test="${not empty listInfo.name}">${listInfo.name}</c:if></td>
     <td nowrap>Reloaded:</td>
     <td nowrap><c:if test="${empty listInfo.refreshDate}"><i>N/A</i></c:if>
                <c:if test="${not empty listInfo.refreshDate}"><span dateFormat="${dateFormat} ${timeFormat}" sortValue="${listInfo.refreshDateUtcMillis}"><fmt:formatDate value='${listInfo.refreshDate}' pattern='${dateTimeFormat}' timeZone='${userTimeZone}'/></span>&nbsp;</c:if></td>
   </tr>

   <tr class="configurationTableDataRow" valign="top">
     <td nowrap>Location:</td>
     <td colspan='4'>${fn:escapeXml(listInfo.sasLocation)}</td>
   </tr>

   <tr class="configurationTableDataRow" valign="top">
     <td colspan='4'>&nbsp;</td>
   </tr>

   <tr align="left" valign="top" >
     <td colspan="4" class="configurationTableSection" >Contents</td>
   </tr>
   <tr class="configurationTableDataRow" valign="top">
    <td colspan="4" class="configurationTableDataRow" >
      <iframe width="98%" height="300px" id="lookupListContentsFrame" name="lookupListContentsFrame" frameborder="no" style="top:300px;"></iframe>
    </td>
   </tr>
   <tr class="configurationTableDataRow" valign="top">
     <td colspan='4'>&nbsp;</td>
   </tr>


</TABLE>

</div>

</div>



<script>
   attachEventHandlerToTableCells(['contentFileTable']);
   showLookupListContents(engine,lookupListName,lookupListInds,lookupListColumns,'1',"lookupListContentsFrame");
</script>


