/*
 * Delete a list of dataset given their identifiers
 * 
 * Author: Song, Qiang <qiang.song@sas.com> 2015
 * 
 */

%macro delete_dataset(in);

    %local pos lib dst;
    %let pos = %index(&in, .);
    %if &pos = 0 %then %do; 
        %let lib = work;
        %let dst = &in;
    %end;    
    %else %do;
        %let lib = %scan(&in, 1, .);
        %let dst = %scan(&in, 2, .);
    %end;     

    proc datasets nolist library = &lib;
        delete &dst;
    run;        

%mend;

     
